USE [zipcloud]
GO

CREATE TABLE [dbo].[ziptable_zipcloud](
	[通し番号] [numeric](10, 0) IDENTITY(1,1) NOT NULL,
	[全国地方公共団体コード] [char](5) NOT NULL,
	[旧郵便番号] [char](5) NOT NULL,
	[郵便番号] [char](7) NOT NULL,
	[都道府県名カナ] [nvarchar](7) NOT NULL,
	[市区町村名カナ] [nvarchar](30) NOT NULL,
	[町域カナ] [nvarchar](70) NULL,
	[都道府県名] [nvarchar](4) NOT NULL,
	[市区町村名] [nvarchar](15) NOT NULL,
	[町域] [nvarchar](50) NULL,
	[一町域が二以上の郵便番号の表示] [numeric](1, 0) NOT NULL,
	[小字毎に番地が起番されている町域] [numeric](1, 0) NOT NULL,
	[丁目を有する町域の表示] [numeric](1, 0) NOT NULL,
	[一つの郵便番号で二以上の町域] [numeric](1, 0) NOT NULL,
	[更新の表示] [numeric](1, 0) NOT NULL,
	[変更理由] [numeric](1, 0) NOT NULL,
	[全ての住所] [nvarchar](100) NOT NULL,
	[更新日付] [date] NOT NULL,
 CONSTRAINT [PK_ziptable_zipcloud] PRIMARY KEY CLUSTERED 
(
	[通し番号] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO


